Page MenuHomePhabricator

Execute Section Editing User Testing Plan
Closed, ResolvedPublic

Description

Ask

Execute the Section Editing "Testing Plan" (the table below).

Testing Plan

We will solicit, process and prioritize qualitative feedback and bugs through the following channels:

AudienceFeedback channelStartedEndedChannel ownerTranslatorFeedback outputPrioritization
Editing TeamGoogle Chat26-Feb1-Mar@iamjesskleinProg. + Eng. ManagerPhabricator@iamjessklein @marcella @ppelberg
WMF DesignSlack@iamjesskleinProg. + Eng. ManagerPhabricator@iamjessklein @marcella @ppelberg
OnwikiMediaWiki project page11-Jan15-March@Whatamidoing-WMFProg. + Eng. ManagerPhabricator@iamjessklein @marcella @ppelberg
Hebrew wikiHebrew Wikipedia: City Square27-Febongoing@Whatamidoing-WMFProg. + Eng. ManagerPhabricator@iamjessklein @marcella @ppelberg

Definitions

  • Feedback : bugs, qualitative feedback
  • Audience : who we are seeking feedback from
  • Feedback channel: the communication channel through which we will be seeking feedback
  • Channel owner: the person on the Editing Team who will facilitate the given "Feedback channel" and relate the feedback raised to Program and Engineering Managers
  • Translator: the person on the Editing Team who will translate the accumulated feedback (i.e. bugs, qualitative feedback) into Phabricator tickets
  • Feedback output: where and how the feedback we receive will be incorporated into the Editing Team's workflow

Event Timeline

ppelberg created this task.Feb 27 2019, 9:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2019, 9:47 PM
ppelberg updated the task description. (Show Details)Feb 27 2019, 9:47 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)Feb 27 2019, 9:50 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)Feb 27 2019, 9:52 PM
ppelberg reassigned this task from ppelberg to JTannerWMF.
ppelberg updated the task description. (Show Details)Feb 28 2019, 12:21 AM
ppelberg updated the task description. (Show Details)Feb 28 2019, 12:28 AM
ppelberg updated the task description. (Show Details)Mar 1 2019, 7:53 AM

We've added all feedback to the Section Editing tag and discussed prioritization during planning.

ppelberg updated the task description. (Show Details)Mar 28 2019, 11:00 PM
ppelberg closed this task as Resolved.